Skip to main content
GET
Get nested group by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_id
string<uuid>
required

The ID of the group.

containing_group_id
string<uuid>
required

The ID of the containing group.

Response

200 - application/json

The created GroupContainingGroup object.

GroupContainingGroup Object

Description

The GroupContainingGroup object is used to represent a relationship between a group and a group.

containing_group_id
string<uuid>
required

The groupID of the containing group.

Example:

"f454d283-ca87-4a8a-bdbb-df212eca5353"

duration_minutes
integer

The updated duration for which the group can be accessed (in minutes). Use 0 for indefinite.

Required range: x <= 525960
Example:

120

access_level_remote_id
string

The updated remote ID of the access level granted to this group.

Example:

"arn:aws:iam::590304332660:role/ReadOnlyAccess"

Last modified on July 10, 2026